Bug 472050 - (ext4-quota) Quota tools wants ext4dev and not ext4
Quota tools wants ext4dev and not ext4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 09:15 EST by Bert DeKnuydt
Modified: 2008-11-21 06:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 06:00:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bert DeKnuydt 2008-11-18 09:15:47 EST
Description of problem:

checkquota, repquota and family insist on seeing an ext4 named
ext4dev in the /etc/fstab; but the latest kernel informs you
to use ext4 and not ext4dev ...

Version-Release number of selected component (if applicable):

quota-3.15-7.fc9.x86_64
kernel-2.6.27.5-37.fc9.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Per recommendation of kernel messages, rename your
   ext4dev fs to ext4 in /etc/fstab
2. repquota of this fs
3.
  
Actual results:

repquota -s /usr/data
repquota: Mountpoint (or device) /usr/data not found or has no quota enabled.
repquota: Not all specified mountpoints are using quota.

Expected results:

repquota -s /usr/data
*** Report for user quotas on device /dev/mapper/VolGroup00-LogVol02
Block grace time: 7days; Inode grace time: 7days
                        Block limits                File limits
User            used    soft    hard  grace    used  soft  hard  grace
----------------------------------------------------------------------
root      --      80       0       0             19     0     0       
#59151    --   15532       0       0             63     0     0       


Additional info:

See also: https://kerneltrap.org/mailarchive/linux-fsdevel/2008/10/30/3860654

So simply moving to the latest greatest quota-tools should solve this.
Comment 1 Ondrej Vasik 2008-11-18 13:01:09 EST
Moving to latest greatest quota-tools will NOT solve this as the problem still exists upstream... see my upstream report with patch at http://sourceforge.net/tracker/index.php?func=detail&aid=2209311&group_id=18136&atid=318136 ... this issue was already reported against rawhide at https://bugzilla.redhat.com/show_bug.cgi?id=469127 , update for F-9 requested/promised there as well. I'm planning to do that quota F-9 update this week ...
Comment 2 Fedora Update System 2008-11-19 06:07:54 EST
quota-3.15-8.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/quota-3.15-8.fc9
Comment 3 Bert DeKnuydt 2008-11-19 06:42:37 EST
This solves the problem.  Case closed.  Thanks for the lightning fast reaction speed!
Comment 4 Fedora Update System 2008-11-21 06:00:24 EST
quota-3.15-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.